Bug 121765 - Fedora Hangs on First boot at enabling swap space
Summary: Fedora Hangs on First boot at enabling swap space
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-27 16:36 UTC by Paul R
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 20:22:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul R 2004-04-27 16:36:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
This is the first boot of this machine after OS install.

The machine seems to boot fine

Enabling Local Filesystem quotas initializes fine, but enabling swap 
space seems to initialize (it gets an [  OK  ]) yet the computer 
freezes.



Version-Release number of selected component (if applicable):
Fedora Core 1 base install from cd

How reproducible:
Always

Steps to Reproduce:
1.Power on Machine
2.Boot Kernel
3.Freeze
    

Actual Results:  It froze

Expected Results:  I would have expected the machine to bring up the 
Initial Setup (after first boot)

Additional info:

Comment 1 Paul R 2004-04-29 01:03:17 UTC
If i change the default runlevel in /etc/inittab to run level '3' I 
am able to boot into the system. I am still unable to boot the system 
into X, I will try installing the proprietary Nvidia drivers as this 
machine has a Nvidia GF2Pro Vid. card and see if this solves problems

Comment 2 Ed Bailey 2004-05-03 17:15:37 UTC
Not sure if this is related to X or not, but I am sure it isn't
related to fedora-release... :-)

Changing component to xfree86 as a first attempt to find the relevant
component.

Comment 3 Mike A. Harris 2004-05-04 18:44:49 UTC
Reassigning to kernel component, as there's no evidence of this
being related to X in any way.  If swap is failing, that is likely
to be kernel related perhaps at least.  Much more information
is required in order for conclusive analasys to be made in any
case at least.

Comment 4 Jim Angstadt 2004-08-05 20:54:32 UTC
This also happens using FC2 and booting kernel 2.6.6-1.435.2.3 or
kernel 2.6.7-1.494.2.2 into runlevel 3. 

The original FC2 kernel, 2.6.5, will not hang just after "Enabling
swap space" as the .6 and .7 kernels do.

The hang comes from:

   if LC_ALL=C fgrep -q 'Type:   Sequential-Access' /proc/scsi/scsi
2>/dev/null ; then

within /etc/rc.d/rc.sysinit, which is within the SCSI tape section at
about line 741.

I have tried commmenting out the SCSI tape section and that results in
a later hang during the /etc/rc3.d/S??kudzu script.

FWIW, this occurs on an Athlon 800MHz, 320 MB ram.



Comment 5 David Lawrence 2004-09-29 20:22:43 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.